commit:     a5ff0e133d1ead549efcb5c03b424645b49d730f
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon May 27 01:50:32 2024 +0000
Commit:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
CommitDate: Mon May 27 01:54:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a5ff0e13

net-irc/srain: add 1.7.0

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>

 net-irc/srain/Manifest           |  1 +
 net-irc/srain/srain-1.7.0.ebuild | 60 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-irc/srain/Manifest b/net-irc/srain/Manifest
index bbccdeeec..64b5affb5 100644
--- a/net-irc/srain/Manifest
+++ b/net-irc/srain/Manifest
@@ -1 +1,2 @@
 DIST srain-1.6.0.tar.gz 2760635 BLAKE2B 
18676142c875b9715cd3e94b9877e6ae7235e035299284dc410b7ae6be26eb01450557da0c9cb050d71d79145583132601f12a395c28968b23361f84c1f08fce
 SHA512 
59d962ddbf71724d5f68decc1e3b873cea6c6bd2ca23b21a1a6fe937d53f2871398fdcda906840755efc6b454d2d5116ca620c047f1634fb68b45ab2c0443a57
+DIST srain-1.7.0.tar.gz 2760861 BLAKE2B 
2cbf4bc1a1777b851ea604e63350947851fa0a4c937fbd60c6192e2d197c137870bd2859d922de9ff6bd4b2da7e8fcdcd07493f68fd021ab775125de0dbda359
 SHA512 
0549a08379946cc4ea0c331f212f03b08a0c7248964984d01a64744058d116ec1af05b2aefd0d689438dafa9df4e70179bb8957d9992f02414a462577c5d99dc

diff --git a/net-irc/srain/srain-1.7.0.ebuild b/net-irc/srain/srain-1.7.0.ebuild
new file mode 100644
index 000000000..dcef04ffd
--- /dev/null
+++ b/net-irc/srain/srain-1.7.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+inherit meson python-any-r1 xdg
+
+DESCRIPTION="Modern, beautiful IRC client written in GTK+ 3"
+HOMEPAGE="https://github.com/SrainApp/srain";
+SRC_URI="https://github.com/SrainApp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="appindicator doc man"
+
+RDEPEND="
+       app-crypt/libsecret
+       dev-libs/glib:2
+       dev-libs/libconfig:=
+       dev-libs/openssl:=
+       net-libs/libsoup:3.0
+       x11-libs/gtk+:3
+       appindicator? ( dev-libs/libayatana-appindicator )
+"
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+       doc? ( $(python_gen_any_dep '
+               dev-python/sphinx[${PYTHON_USEDEP}]' ) )
+       man? ( $(python_gen_any_dep '
+               dev-python/sphinx[${PYTHON_USEDEP}]' ) )
+       ${PYTHON_DEPS}
+"
+
+python_check_deps() {
+       if use doc || use man; then
+               python_has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]"
+       fi
+}
+
+src_prepare() {
+       default
+
+       sed "s/\('doc'\), meson.project_name()/\1, '${PF}'/" \
+               -i meson.build || die
+}
+
+src_configure() {
+       local -a doc_builders=()
+       use doc && doc_builders+=( html )
+       use man && doc_builders+=( man )
+
+       local emesonargs=(
+               -Ddoc_builders="$(meson-format-array "${doc_builders[@]}")"
+               $(meson_use appindicator app_indicator)
+       )
+       meson_src_configure
+}

Reply via email to